Bug 457569 - dlm get_comm() uses NULL pointer
dlm get_comm() uses NULL pointer
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
high Severity high
: rc
: ---
Assigned To: Don Zickus
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-01 11:15 EDT by David Teigland
Modified: 2009-01-20 14:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:51:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Teigland 2008-08-01 11:15:22 EDT
Description of problem:

Bob reported seeing this in some of his gfs testing.

<bob_home> Unable to handle kernel NULL pointer dereference at 0000000000000050
RIP: 
<bob_home>  [<ffffffff8849f94e>] :dlm:get_comm+0x45/0xce
<bob_home> P
<bob_home> Call Trace:
<bob_home>  [<ffffffff884a97a9>] :dlm:process_send_sockets+0x0/0x179
<bob_home>  [<ffffffff8849fa10>] :dlm:dlm_nodeid_to_addr+0x10/0x48
<bob_home>  [<ffffffff884a925b>] :dlm:tcp_connect_to_sock+0x9c/0x1de

This upstream commit seems to be a very likely match:

http://git.kernel.org/gitweb.cgi?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=3168b0780d06ace875696f8a648d04d6089654e5

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 RHEL Product and Program Management 2008-08-01 11:31:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 David Teigland 2008-08-01 12:19:10 EDT
patch sent to rhkernel
http://post-office.corp.redhat.com/archives/rhkernel-list/2008-August/msg00009.html
Comment 3 Don Zickus 2008-08-06 13:57:27 EDT
in kernel-2.6.18-102.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 7 errata-xmlrpc 2009-01-20 14:51:54 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.